SDL Library Documentation
Prev |  | Next

# SDL_JoystickUpdate

## Name

SDL_JoystickUpdate -- Updates the state of all joysticks

## Synopsis

    #include "SDL.h"

``void SDL_JoystickUpdate`(void);`

## Description

Updates the state(position, buttons, etc.) of all open joysticks. If joystick events have been enabled with `SDL_JoystickEventState` then this is called automatically in the event loop.

## See Also

`SDL_JoystickEventState`

Prev | Home | Next
SDL_JoystickNumButtons | Up | SDL_JoystickGetAxis